Agora RTC Objective-C API Reference Refactor

Properties
AgoraMusic Class Reference

Inherits <NSObject>.

## Properties
NSInteger | songCode
NSInteger | type
NSInteger | pitchType
NSString * | name
NSString * | singer
NSString * | poster
NSString * | releaseTime
NSInteger | durationS
NSArray< NSNumber * > * | lyricList
NSArray< AgoraMvProperty * > * | mvPropertyList
NSArray< AgoraClimaxSegment * > * | climaxSegmentList

## Property Documentation

## ◆ songCode

- (NSInteger) songCode
| read write nonatomic assign

The ID of the music resource, used to identify a music resource.

## ◆ type

- (NSInteger) type
| read write nonatomic assign

Music resource types:

- 1: An individual mode audio track with accompaniment in the left channel and original vocals in the right channel.
- 2: An individual mode audio track with accompaniment only.
- 3: An individual mode audio track with original vocals only.
- 4: A multi-track audio source.

## ◆ pitchType

- (NSInteger) pitchType
| read write nonatomic assign

Whether the song supports the singing scoring feature:

- 1: The song supports the singing scoring feature.
- 2: The song does not support the singing scoring feature.

## ◆ name

- (NSString*) name
| read write nonatomic copy

Name of the music resource.

## ◆ singer

- (NSString*) singer
| read write nonatomic copy

Singer name.

## ◆ poster

- (NSString*) poster
| read write nonatomic copy

The download URL of the music resource poster.

## ◆ releaseTime

- (NSString*) releaseTime
| read write nonatomic copy

The release time of the music resource.

## ◆ durationS

- (NSInteger) durationS
| read write nonatomic assign

Total duration of the music resource (in seconds).

## ◆ lyricList

- (NSArray<NSNumber *>*) lyricList
| read write nonatomic strong

Supported lyric types:

- 0: xml format.
- 1: lrc format.

## ◆ mvPropertyList

- (NSArray<AgoraMvProperty *>*) mvPropertyList
| read write nonatomic strong

The mv property list of music

## ◆ climaxSegmentList

- (NSArray<AgoraClimaxSegment *>*) climaxSegmentList
| read write nonatomic strong

List of music climax segments. See `AgoraClimaxSegment` for details.